#include <stdio.h>
#include <stdarg.h>
void banner( char *fmt, ... )
{
	char buf[512];
  va_list argptr;

	vsprintf(buf,"\thello %s\n",&fmt);
  putc('\n', stdout);

  va_start( argptr, fmt);
  vprintf( buf, argptr);
  va_end(argptr);
}
main()
{
	banner("geez dave, %d",448);
}